httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tobias Adolph <Tobias.Ado...@lrz.de>
Subject Re: [users@httpd] authn_core_module: apache 2.4 : Invalid command 'AuthLDAPBindDN'
Date Fri, 07 Aug 2015 11:01:25 GMT
Hi Rahul,

Am 07.08.2015 um 12:45 schrieb Rahul R:
> Hello All,
>
> I have apache 2.2 working fine with multiple ldap aliases. Recently i
> installed apache 2.4 and copied the ldap configs and followed the below
> link.
>
> http://httpd.apache.org/docs/2.4/mod/mod_authn_core.html.
>
> But when I start apache, this is what I am getting as an error.
>
> *AH00526: Syntax error on line 484 of /home/apache2/conf/httpd.conf:*
> *Invalid command 'AuthLDAPBindDN', perhaps misspelled or defined by a
> module not included in the server configuration*
>
> I am of course loading the module.
>
> LoadModule authn_core_module modules/mod_authn_core.so
>
> Any help to fix this would be much appreciated. Below is the config.

did you load the authnz_ldap_module?
Try:
LoadModule            authnz_ldap_module modules/mod_authnz_ldap.

 From 2.2 to 2.4 authorization and authentication have quite changed a 
bit, so you should consider studying this link:
http://httpd.apache.org/docs/2.4/howto/auth.html

Kind regards,
Tobias Adolph

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message